%define upstream_name geshi

Name:		php-%{upstream_name}
Version:	1.0.9.1
Release:	%mkrel 2
Summary:	Generic Syntax Highlighter
License:	PHP License
Group:		Development/PHP
URL:		http://qbnz.com/highlighter/
Source0:	https://github.com/GeSHi/geshi-1.0/releases/download/v%{version}/GeSHi-%{version}.tar.bz2
BuildArch:	noarch
Requires:	php

%description
Generic Syntax Highlighter for PHP. Used to highlight almost any code
for the web. Nearly 100 supported languages: PHP, HTML, C and more. Styles can
be changed on the fly and CSS classes can be used to reduce the amount of XHTML
compliant output.

%prep
%setup -q -n %{upstream_name}

%install
install -d -m 755 %{buildroot}%{_datadir}/php
cp -p geshi.php %{buildroot}%{_datadir}/php
cp -pr geshi %{buildroot}%{_datadir}/php
cp -pr contrib %{buildroot}%{_datadir}/php/geshi


%files
%doc docs
%{_datadir}/php/*




%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.0.9.1-2.mga9
+ Revision: 1812776
- Mageia 9 Mass Rebuild

* Thu Jun 18 2020 mokraemer <mokraemer> 1.0.9.1-1.mga8
+ Revision: 1596171
- new version 1.0.9.1
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 1.0.9.0-3.mga8
+ Revision: 1507226
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.9.0-2.mga7
+ Revision: 1287650
- Mageia 7 Mass Rebuild

* Wed Nov 29 2017 mokraemer <mokraemer> 1.0.9.0-1.mga7
+ Revision: 1180294
- new versioN

* Fri Feb 05 2016 umeabot <umeabot> 1.0.8.11-7.mga6
+ Revision: 939332
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.8.11-6.mga5
+ Revision: 747116
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.0.8.11-5.mga5
+ Revision: 734011
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.8.11-4.mga5
+ Revision: 687128
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.8.11-3.mga4
+ Revision: 516468
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.8.11-2.mga3
+ Revision: 375782
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 spuhler <spuhler> 1.0.8.11-1.mga3
+ Revision: 324260
- upgrade to 1.0.8.11
  cleanup spec

* Wed Dec 21 2011 spuhler <spuhler> 1.0.8.10-1.mga2
+ Revision: 185262
- upgrade to 1.0.8.10

* Sun Feb 06 2011 spuhler <spuhler> 1.0.8.8-3.mga1
+ Revision: 47921
- removed buildroot definition from .spec
- imported package php-geshi


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0.8.8-3mdv2011.0
+ Revision: 629799
- rebuilt for php-5.3.5

* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.8.8-2mdv2011.0
+ Revision: 600490
- rebuild

* Sat Aug 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.8.8-1mdv2011.0
+ Revision: 567295
- new version

* Sat Jul 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.8.4-2mdv2010.0
+ Revision: 397149
- install under %%{_datadir}/php, so as to be automatically available in php include_path
- import php-geshi


* Sat Jul 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.8.4-1mdv2010.0
- first mdv release
